#
# spec file for package ghc-postgresql-binary
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name postgresql-binary
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.12.1
Release:        lp150.1.4
Summary:        Encoders and decoders for the PostgreSQL's binary format
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base-prelude-devel
BuildRequires:  ghc-binary-parser-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-strict-builder-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-loch-th-devel
BuildRequires:  ghc-network-ip-devel
BuildRequires:  ghc-placeholders-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-uuid-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-conversion-bytestring-devel
BuildRequires:  ghc-conversion-devel
BuildRequires:  ghc-conversion-text-devel
BuildRequires:  ghc-json-ast-devel
BuildRequires:  ghc-postgresql-libpq-devel
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-rerebase-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
BuildRequires:  ghc-tasty-smallcheck-devel
%endif

%description
An API for dealing with PostgreSQL's binary data format.

It can be used to implement performant bindings to Postgres. E.g.,
<http://hackage.haskell.org/package/hasql "hasql"> is based on this library.

It supports all Postgres versions starting from 8.3 and is tested against 8.3,
9.3 and 9.5 with the 'integer_datetimes' setting off and on.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.12.1.
* Mon Feb 20 2017 psimons@suse.com
- Update to version 0.9.3 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 0.9.2 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 0.9.1.1 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.9.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.9.0.1 revision 0 with cabal2obs.
